Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Interface CredentialMBean

All Superinterfaces:
  ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServiceConfigurationMBean, WebLogicMBean

public interface CredentialMBean
extends ServiceConfigurationMBean

The MBean that provides a store for a username with a credential that is encrypted on the file system, but is decryptable so it can be passed around as plain text by the services that use it. For example, you may want to bind to an external LDAP server using a username and plain-text password. The name of this MBean is used by the service that uses it to find the username/credential of interest.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`String` | `getCredential()` Get the credential
`String` | `getUsername()` Get the username
`void` | `setCredential(String credential)` Set the credential.
`void` | `setUsername(String username)` Set the username

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setUsername

    public void setUsername(String username)

  Set the username

  Parameters:
    `username` - The username

### getUsername

    public String getUsername()

  Get the username

  Returns:
    the username

### setCredential

    public void setCredential(String credential)

  Set the credential.

  Parameters:
    `credential` - The unencrypted, plain-text credential (it will be encrypted automatically before it is persisted to the XML file)
  MBean Attribute is encrypted

### getCredential

    public String getCredential()

  Get the credential

  Returns:
    the credential

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved